> ## Documentation Index
> Fetch the complete documentation index at: https://docs.randomseed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# v1/models

> Get all the models

### API key

Create your account on [RandomSeed](https://randomseed.co/signup) & grab your [api key](https://randomseed.co/api-reference/integrate)

### Headers

<ParamField header="Authorization" type="string">
  Your API key. This is required by most endpoints to access our API programatically. You can get your api key by clicking on 'API reference' tab under your profile icon.
</ParamField>

### Response

<ResponseField name="public_models" type="object[]">
  <Expandable title="properties">
    <ResponseField name="support_inpainting" type="boolean">
      Whether inpainting can be used on this model or not.
    </ResponseField>

    <ResponseField name="model_name" type="string">
      Model name
    </ResponseField>

    <ResponseField name="model_type" type="string">
      Model type. Either checkpoint or lora
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="private_models" type="object[]">
  <Expandable title="properties">
    <ResponseField name="support_inpainting" type="boolean">
      Whether inpainting can be used on this model or not.
    </ResponseField>

    <ResponseField name="model_name" type="string">
      Model name
    </ResponseField>

    <ResponseField name="model_type" type="string">
      Model type. Either checkpoint or lora
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location "https://randomseed.lol/v1/models" \
  --header "Authorization: Bearer $RANDOMSEED_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "public_models": [
        {
          "support_inpainting": false,
          "model_name": "...",
          "model_type": "..."
        },
        ...
      ],
      "private_models": [
        {
          "support_inpainting": false,
          "model_name": "...",
          "model_type": "..."
        },
        ...
      ]
  }
  ```
</ResponseExample>
